Bug 30923 - OAuth2 implementation is not experimental
Summary: OAuth2 implementation is not experimental
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact:
URL:
Keywords: Manual-updated
Depends on:
Blocks:
 
Reported: 2022-06-07 19:53 UTC by Tomás Cohen Arazi
Modified: 2022-08-04 21:14 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact: Caroline Cyr La Rose
Documentation submission: https://gitlab.com/koha-community/koha-manual/-/merge_requests/581
Text to go in the release notes:
This enhancement removes the [EXPERIMENTAL] text from the RESTOAuth2ClientCredentials system preference description. OAuth2 has been in use by third parties to securely interact with Koha since its introduction in 2018.
Version(s) released in:
22.11.00, 22.05.03


Attachments
Bug 30923: Remove EXPERIMENTAL mark on RESTOAuth2ClientCredentials (1.48 KB, patch)
2022-06-07 19:58 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30923: Remove EXPERIMENTAL mark on RESTOAuth2ClientCredentials (1.53 KB, patch)
2022-06-07 23:41 UTC, David Nind
Details | Diff | Splinter Review
Bug 30923: Remove EXPERIMENTAL mark on RESTOAuth2ClientCredentials (1.58 KB, patch)
2022-06-08 12:10 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2022-06-07 19:53:52 UTC
We added a confusing warning on the sysprefs. OAuth2 has been used by third parties to interact with Koha in a secure way since its introduction back in 2018.
Comment 1 Tomás Cohen Arazi 2022-06-07 19:58:38 UTC
Created attachment 135786 [details] [review]
Bug 30923: Remove EXPERIMENTAL mark on RESTOAuth2ClientCredentials

The feature is not experimental at all.

To test:
1. Search for the RESTOAuth2ClientCredentials syspref
=> FAIL: It says it is an experimental feature
2. Apply this patch and reload
3. Repeat 1
=> SUCCESS: No longer marked as experimental
4. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 David Nind 2022-06-07 23:41:53 UTC
Created attachment 135787 [details] [review]
Bug 30923: Remove EXPERIMENTAL mark on RESTOAuth2ClientCredentials

The feature is not experimental at all.

To test:
1. Search for the RESTOAuth2ClientCredentials syspref
=> FAIL: It says it is an experimental feature
2. Apply this patch and reload
3. Repeat 1
=> SUCCESS: No longer marked as experimental
4. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Nick Clemens 2022-06-08 12:10:53 UTC
Created attachment 135796 [details] [review]
Bug 30923: Remove EXPERIMENTAL mark on RESTOAuth2ClientCredentials

The feature is not experimental at all.

To test:
1. Search for the RESTOAuth2ClientCredentials syspref
=> FAIL: It says it is an experimental feature
2. Apply this patch and reload
3. Repeat 1
=> SUCCESS: No longer marked as experimental
4. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2022-06-08 14:28:09 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 5 Lucas Gass 2022-07-12 16:39:01 UTC
Backported to 22.05.x for 22.05.03